MetaDataTestCase (jTDS API)
Keywords: net.sourceforge.jtds.test.MetaDataTestCase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.jtds.test
Class MetaDataTestCase

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              net.sourceforge.jtds.test.TestBase
                  net.sourceforge.jtds.test.DatabaseTestCase
                      net.sourceforge.jtds.test.MetaDataTestCase

All Implemented Interfaces:
  junit.framework.Test

Direct Known Subclasses:
  DatabaseMetaDataJDBC3Test, DatabaseMetaDataTest, DatabaseMetaDataTypeInfoTest

public abstract class MetaDataTestCase
extends DatabaseTestCase

Base class for meta data test cases.

Version:
  $Id: MetaDataTestCase.java,v 1.1 2005/01/05 12:24:14 alin_sinpalean Exp $
Author:
  David Eaves

Field Summary

Fields inherited from class net.sourceforge.jtds.test.DatabaseTestCase
``

Fields inherited from class net.sourceforge.jtds.test.TestBase
`con, props`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MetaDataTestCase(java.lang.String name)`

Method Summary
`protected boolean` | `checkColumnNames(java.sql.ResultSet rs, java.lang.String[] names)` Utility method to check column names and number.

Methods inherited from class net.sourceforge.jtds.test.DatabaseTestCase
`compareBytes, dropFunction, dropProcedure, dropProcedure, dropTable, getLongString, getLongString, getType, getTypemap`

Methods inherited from class net.sourceforge.jtds.test.TestBase
`compareInputStreams, compareReaders, connect, dump, dumpRow, getConnection, getConnection, makeObjects, makeTestTables, setUp, tearDown`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MetaDataTestCase

    public MetaDataTestCase(java.lang.String name)

Method Detail

### checkColumnNames

    protected boolean checkColumnNames(java.sql.ResultSet rs,
                                       java.lang.String[] names)
                                throws java.sql.SQLException

  Utility method to check column names and number.

  Parameters:
    `rs` - the result set to check
    `names` - the list of column names to compare to result set
  Returns:
    the `boolean` value true if the columns match
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Generated on December 30 2009